import { ComponentType } from 'react';
import { EditorPlugin } from '@draft-js-plugins/editor';
import { ComponentProps } from './Link/Link';
import { LinkifyPluginTheme } from './theme';
import { ExtractLinks } from './utils/extractLinks';
export { extractLinks } from './utils/extractLinks';
export interface LinkifyPluginConfig {
    component?: ComponentType<ComponentProps>;
    theme?: LinkifyPluginTheme;
    target?: string;
    rel?: string;
    /**
     * Custom extract links function that should return Array of index, lastIndex & url.
     * @param {string} text - Current state of the editor as a plain text.
     */
    customExtractLinks?: ExtractLinks;
}
declare const _default: (config?: LinkifyPluginConfig) => EditorPlugin;
export default _default;
